server {
        listen 7400;
        access_log off;
        charset utf-8;
        client_max_body_size 512m;
 
        location ^~ / {
                root  ../../teachcloud/web/print/;
                try_files $uri $uri/ /index.html;
		}

        location /static/ {
                alias ../../teachcloud/static/;
                add_header Access-Control-Allow-Origin *;
        }

        location /mark/ {
                alias  ../../teachcloud/web/mark/;
                index  index.html index.htm;
                try_files $uri $uri/ /mark/index.html;
        }
		
        location ^~ /api/ {
                proxy_pass http://127.0.0.1:7410;
                proxy_set_header Host   $http_host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
